<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Content StructType
 * @subpackage Structs
 */
class Content extends AbstractStructBase
{
    /**
     * The Actions
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Actions
     */
    public $Actions;
    /**
     * The Parameters
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Parameters
     */
    public $Parameters;
    /**
     * The CommonSettings
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\CommonSettings
     */
    public $CommonSettings;
    /**
     * The MailSettings
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\MailSettings
     */
    public $MailSettings;
    /**
     * The Sorting
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Sorting
     */
    public $Sorting;
    /**
     * The Filters
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Filters
     */
    public $Filters;
    /**
     * The ReportResults
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\ReportResults
     */
    public $ReportResults;
    /**
     * The Template
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Template
     */
    public $Template;
    /**
     * Constructor method for Content
     * @uses Content::setActions()
     * @uses Content::setParameters()
     * @uses Content::setCommonSettings()
     * @uses Content::setMailSettings()
     * @uses Content::setSorting()
     * @uses Content::setFilters()
     * @uses Content::setReportResults()
     * @uses Content::setTemplate()
     * @param \StructType\Actions $actions
     * @param \StructType\Parameters $parameters
     * @param \StructType\CommonSettings $commonSettings
     * @param \StructType\MailSettings $mailSettings
     * @param \StructType\Sorting $sorting
     * @param \StructType\Filters $filters
     * @param \StructType\ReportResults $reportResults
     * @param \StructType\Template $template
     */
    public function __construct(\StructType\Actions $actions = null, \StructType\Parameters $parameters = null, \StructType\CommonSettings $commonSettings = null, \StructType\MailSettings $mailSettings = null, \StructType\Sorting $sorting = null, \StructType\Filters $filters = null, \StructType\ReportResults $reportResults = null, \StructType\Template $template = null)
    {
        $this
            ->setActions($actions)
            ->setParameters($parameters)
            ->setCommonSettings($commonSettings)
            ->setMailSettings($mailSettings)
            ->setSorting($sorting)
            ->setFilters($filters)
            ->setReportResults($reportResults)
            ->setTemplate($template);
    }
    /**
     * Get Actions value
     * @return \StructType\Actions|null
     */
    public function getActions()
    {
        return $this->Actions;
    }
    /**
     * Set Actions value
     * @param \StructType\Actions $actions
     * @return \StructType\Content
     */
    public function setActions(\StructType\Actions $actions = null)
    {
        $this->Actions = $actions;
        return $this;
    }
    /**
     * Get Parameters value
     * @return \StructType\Parameters|null
     */
    public function getParameters()
    {
        return $this->Parameters;
    }
    /**
     * Set Parameters value
     * @param \StructType\Parameters $parameters
     * @return \StructType\Content
     */
    public function setParameters(\StructType\Parameters $parameters = null)
    {
        $this->Parameters = $parameters;
        return $this;
    }
    /**
     * Get CommonSettings value
     * @return \StructType\CommonSettings|null
     */
    public function getCommonSettings()
    {
        return $this->CommonSettings;
    }
    /**
     * Set CommonSettings value
     * @param \StructType\CommonSettings $commonSettings
     * @return \StructType\Content
     */
    public function setCommonSettings(\StructType\CommonSettings $commonSettings = null)
    {
        $this->CommonSettings = $commonSettings;
        return $this;
    }
    /**
     * Get MailSettings value
     * @return \StructType\MailSettings|null
     */
    public function getMailSettings()
    {
        return $this->MailSettings;
    }
    /**
     * Set MailSettings value
     * @param \StructType\MailSettings $mailSettings
     * @return \StructType\Content
     */
    public function setMailSettings(\StructType\MailSettings $mailSettings = null)
    {
        $this->MailSettings = $mailSettings;
        return $this;
    }
    /**
     * Get Sorting value
     * @return \StructType\Sorting|null
     */
    public function getSorting()
    {
        return $this->Sorting;
    }
    /**
     * Set Sorting value
     * @param \StructType\Sorting $sorting
     * @return \StructType\Content
     */
    public function setSorting(\StructType\Sorting $sorting = null)
    {
        $this->Sorting = $sorting;
        return $this;
    }
    /**
     * Get Filters value
     * @return \StructType\Filters|null
     */
    public function getFilters()
    {
        return $this->Filters;
    }
    /**
     * Set Filters value
     * @param \StructType\Filters $filters
     * @return \StructType\Content
     */
    public function setFilters(\StructType\Filters $filters = null)
    {
        $this->Filters = $filters;
        return $this;
    }
    /**
     * Get ReportResults value
     * @return \StructType\ReportResults|null
     */
    public function getReportResults()
    {
        return $this->ReportResults;
    }
    /**
     * Set ReportResults value
     * @param \StructType\ReportResults $reportResults
     * @return \StructType\Content
     */
    public function setReportResults(\StructType\ReportResults $reportResults = null)
    {
        $this->ReportResults = $reportResults;
        return $this;
    }
    /**
     * Get Template value
     * @return \StructType\Template|null
     */
    public function getTemplate()
    {
        return $this->Template;
    }
    /**
     * Set Template value
     * @param \StructType\Template $template
     * @return \StructType\Content
     */
    public function setTemplate(\StructType\Template $template = null)
    {
        $this->Template = $template;
        return $this;
    }
}
